[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# UnicodeCharToString

Convert unicode character to string

## Declaration

Source position: ustringh.inc line 40

`function UnicodeCharToString(`
`S: PUnicodeChar`
`):AnsiString;`

## Description

UnicodeCharToString converts a null-word-terminated array of unicode characters in S to an AnsiString value. It simply calls UnicodeCharLenToString with the length of the string S.

This function requires the use of a widestring manager.

## Errors

No checking is done to see if the pointer S is valid.

## See also

StringToUnicodeChar |  | Convert an ansistring to a null-terminated array of unicode characters.
UnicodeCharLenToString |  | Convert a memory buffer with unicode characters to an ansistring
WidestringManager |  | Current widestring manager.

Documentation generated on: Feb 26 2014